RubyGems Navigation menu

rubocop 0.41.1

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.17.0 - June 15, 2021 (483 KB)
  2. 1.16.1 - June 09, 2021 (482 KB)
  3. 1.16.0 - June 01, 2021 (482 KB)
  4. 1.15.0 - May 17, 2021 (480 KB)
  5. 1.14.0 - May 05, 2021 (478 KB)
  6. 0.41.1 - June 26, 2016 (253 KB)
Show all versions (180 total)

Runtime Dependencies (5):

  • parser < 3.0, >= 2.3.1.1
  • powerpack ~> 0.1
  • rainbow < 3.0, >= 1.99.1
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Development Dependencies (1):

  • bundler ~> 1.3
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    7f6c7d8a9a9b4fecbe89a851c38bc549c8d1d4744f57bde383aa33884d4ef661

    Total downloads 164,249,037

    For this version 369,947

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 1.9.3

    Links: